key: "test"
name: "Test"
version: "1.0.0"
fns: [
  {
    key: "f"
    path: "fn.jar"
  }
]
works: [
  {
    name: "монтаж обычный"
    keys: ["mount-normal", "mnt-n", "монтаж-обычный", "мнт-о"]
    unit: "м2"
    fn: "f.area"
    params: [
      {
        keys: ["area", "a", "площадь", "п"]
        fnKey: "area"
      }
    ]
    cfgParams: [
      {
        keys: ["price", "p", "цена", "ц"]
        fnKey: "price"
        value: 900.00
      }
    ]
  },
  {
    name: "монтаж профессиональный"
    keys: ["mount-professional", "mnt-p", "монтаж-профессиональный", "мнт-п"]
    unit: "м2"
    fn: "f.area"
    params: [
      {
        keys: ["area", "a", "площадь", "п"]
        fnKey: "area"
      }
    ]
    cfgParams: [
      {
        keys: ["price", "p", "цена", "ц"]
        fnKey: "price"
        value: 1500.00
      }
    ]
  },
  {
    name: "монтаж на балконе"
    keys: ["mount-balcony", "mnt-b", "монтаж-на-балконе", "мнт-б"]
    unit: "м2"
    fn: "f.area"
    params: [
      {
        keys: ["area", "a", "площадь", "п"]
        fnKey: "area"
      }
    ]
    cfgParams: [
      {
        keys: ["price", "p", "цена", "ц"]
        fnKey: "price"
        value: 1000.00
      }
    ]
  },
  {
    name: "без монтажа"
    keys: ["no-mount", "no-mnt", "без-монтажа", "без-мнт"]
    unit: "-"
    fn: "f.del"
    cfg: [
      {
        fnKey: "keys"
        value: ["mnt-n", "mnt-p", "mnt-b"]
      }
    ]
  },
  {
    name: "- монтаж"
    keys: ["-mount", "-mnt", "-монтаж", "-мнт"]
    unit: "-"
    fn: "f.delPrev"
    cfg: [
      {
        fnKey: "keys"
        value: ["mnt-n", "mnt-p", "mnt-b"]
      }
    ]
  },

  {
    name: "ПСУЛ"
    keys: ["psul", "псул"]
    unit: "м"
    fn: "f.top3"
    params: [
      {
        keys: ["length", "l", "длина", "д"]
        fnKey: "length"
      }
    ]
    cfgParams: [
      {
        keys: ["price", "p", "цена", "ц"]
        fnKey: "price"
        value: 80.00
      }
    ]
  },
  {
    name: "без ПСУЛа"
    keys: ["no-prul", "без-псул", "без-псула"]
    unit: "-"
    fn: "f.del"
    cfg: [
      {
        fnKey: "keys"
        value: ["psul"]
      }
    ]
  },
  {
    name: "- ПСУЛ"
    keys: ["-psul", "-псул"]
    unit: "-"
    fn: "f.delPrev"
    cfg: [
      {
        fnKey: "keys"
        value: ["psul"]
      }
    ]
  },

  {
    name: "откосы (сэндвич)"
    keys: ["slop-s", "slp-s", "откосы-сэндвич", "отк-с"]
    unit: "м2"
    fn: "f.slop"
    params: [
      {
        keys: ["area", "a", "площадь", "п"]
        fnKey: "area"
      },
      {
        keys: ["depth", "d", "глубина", "г"]
        fnKey: "depth"
      }
    ]
    cfgParams: [
      {
        keys: ["price1", "p1", "цена1", "ц1"]
        fnKey: "price1"
        value: 1500.00
      },
      {
        keys: ["price2", "p2", "цена2", "ц2"]
        fnKey: "price2"
        value: 1500.00
      },
      {
        keys: ["threshold", "t", "порог", "п"]
        fnKey: "threshold"
      }
    ]
    cfg: [
      {
        fnKey: "thresholdUnit"
        value: "м"
      }
    ]
  },
  {
    name: "откосы (гипсокартон)"
    keys: ["slop-g", "slp-g", "откосы-гипсокартон", "отк-г"]
    unit: "м2"
    fn: "f.slop"
    params: [
      {
        keys: ["area", "a", "площадь", "п"]
        fnKey: "area"
      },
      {
        keys: ["depth", "d", "глубина", "г"]
        fnKey: "depth"
      }
    ]
    cfgParams: [
      {
        keys: ["price1", "p1", "цена1", "ц1"]
        fnKey: "price1"
        value: 1800.00
      },
      {
        keys: ["price2", "p2", "цена2", "ц2"]
        fnKey: "price2"
        value: 1900.00
      },
      {
        keys: ["threshold", "t", "порог", "п"]
        fnKey: "threshold"
        value: 0.400
      }
    ]
    cfg: [
      {
        fnKey: "thresholdUnit"
        value: "м"
      }
    ]
  },
  {
    name: "откосы (штукатурка)"
    keys: ["slop-h", "slp-h", "откосы-штукатурка", "отк-ш"]
    unit: "м2"
    fn: "f.slop"
    params: [
      {
        keys: ["area", "a", "площадь", "п"]
        fnKey: "area"
      },
      {
        keys: ["depth", "d", "глубина", "г"]
        fnKey: "depth"
      }
    ]
    cfgParams: [
      {
        keys: ["price1", "p1", "цена1", "ц1"]
        fnKey: "price1"
        value: 2100.00
      },
      {
        keys: ["price2", "p2", "цена2", "ц2"]
        fnKey: "price2"
        value: 2100.00
      },
      {
        keys: ["threshold", "t", "порог", "п"]
        fnKey: "threshold"
      }
    ]
    cfg: [
      {
        fnKey: "thresholdUnit"
        value: "м"
      }
    ]
  },
  {
    name: "без откосов"
    keys: ["no-slop", "no-slp", "без-откосов", "без-отк"]
    unit: "-"
    fn: "f.del"
    cfg: [
      {
        fnKey: "keys"
        value: ["slp-s", "slp-g", "slp-h"]
      }
    ]
  },
  {
    name: "- откосы"
    keys: ["-slop", "-slp", "-откосы", "-отк"]
    unit: "-"
    fn: "f.delPrev"
    cfg: [
      {
        fnKey: "keys"
        value: ["slp-s", "slp-g", "slp-h"]
      }
    ]
  },

  {
    name: "подоконник (пластик)"
    keys: ["sill-plastic", "sll-p", "подоконник-пластик", "под-п"]
    unit: "м"
    fn: "f.bottom"
    params: [
      {
        keys: ["length", "l", "длина", "д"]
        fnKey: "length"
      }
    ]
    cfgParams: [
      {
        keys: ["price", "p", "цена", "ц"]
        fnKey: "price"
        value: 670.00
      }
    ]
    cfg: [
      {
        fnKey: "add"
        value: 0.150
      }
    ]
  },
  {
    name: "подоконник (ст. обычная)"
    keys: ["sill-tabletop-normal", "sll-tn", "подоконник-столешница-обычная", "под-со"]
    unit: "м"
    fn: "f.bottomCut"
    params: [
      {
        keys: ["length", "l", "длина", "д"]
        fnKey: "length"
      }
    ]
    cfg: [
      {
        fnKey: "add"
        value: 0.150
      },
      {
        fnKey: "blockLength"
        value: 3.000
      },
      {
        fnKey: "blockPrice"
        value: 1250.00
      },
      {
        fnKey: "workPrice"
        value: 400.00
      },
      {
        fnKey: "cutCnt"
        value: 3
      },
      {
        fnKey: "cutPrice"
        value: 60.00
      },
      {
        fnKey: "marginLength"
        value: 2.000
      },
      {
        fnKey: "margin"
        value: 20.00
      }
    ]
  },
  {
    name: "подоконник (ст. влагостойкая)"
    keys: ["sill-tabletop-waterproof", "sll-tw", "подоконник-столешница-влагостойкая", "под-св"]
    unit: "м"
    fn: "f.bottomCut"
    params: [
      {
        keys: ["length", "l", "длина", "д"]
        fnKey: "length"
      }
    ]
    cfg: [
      {
        fnKey: "add"
        value: 0.150
      },
      {
        fnKey: "blockLength"
        value: 3.000
      },
      {
        fnKey: "blockPrice"
        value: 2950.00
      },
      {
        fnKey: "workPrice"
        value: 400.00
      },
      {
        fnKey: "cutCnt"
        value: 3
      },
      {
        fnKey: "cutPrice"
        value: 60.00
      },
      {
        fnKey: "marginLength"
        value: 2.000
      },
      {
        fnKey: "margin"
        value: 20.00
      }
    ]
  },
  {
    name: "подоконник (работа)"
    keys: ["sill-work", "sll-w", "подоконник-работа", "под-р"]
    unit: "м"
    fn: "f.bottom"
    params: [
      {
        keys: ["length", "l", "длина", "д"]
        fnKey: "length"
      }
    ]
    cfgParams: [
      {
        keys: ["price", "p", "цена", "ц"]
        fnKey: "price"
        value: 400.00
      }
    ]
    cfg: [
      {
        fnKey: "add"
        value: 0.150
      }
    ]
  },
  {
    name: "без подоконника"
    keys: ["no-sill", "no-sll", "без-подоконника", "без-под"]
    unit: "-"
    fn: "f.del"
    cfg: [
      {
        fnKey: "keys"
        value: ["sll-p", "sll-tn", "sll-tw", "sll-w"]
      }
    ]
  },
  {
    name: "- подоконник"
    keys: ["-sill", "-sll", "-подоконник", "-под"]
    unit: "-"
    fn: "f.delPrev"
    cfg: [
      {
        fnKey: "keys"
        value: ["sll-p", "sll-tn", "sll-tw", "sll-w"]
      }
    ]
  },

  {
    name: "отлив (цинк)"
    keys: ["ebb-zinc", "ebb-z", "отлив-цинк", "отл-ц"]
    unit: "м"
    fn: "f.bottom"
    params: [
      {
        keys: ["length", "l", "длина", "д"]
        fnKey: "length"
      }
    ]
    cfgParams: [
      {
        keys: ["price", "p", "цена", "ц"]
        fnKey: "price"
        value: 200.00
      }
    ]
    cfg: [
      {
        fnKey: "add"
        value: 0.200
      }
    ]
  },
  {
    name: "отлив (белый)"
    keys: ["ebb-white", "ebb-w", "отлив-белый", "отл-б"]
    unit: "м"
    fn: "f.bottom"
    params: [
      {
        keys: ["length", "l", "длина", "д"]
        fnKey: "length"
      }
    ]
    cfgParams: [
      {
        keys: ["price", "p", "цена", "ц"]
        fnKey: "price"
        value: 240.00
      }
    ]
    cfg: [
      {
        fnKey: "add"
        value: 0.200
      }
    ]
  },
  {
    name: "отлив (коричневый)"
    keys: ["ebb-brown", "ebb-b", "отлив-коричневый", "отл-к"]
    unit: "м"
    fn: "f.bottom"
    params: [
      {
        keys: ["length", "l", "длина", "д"]
        fnKey: "length"
      }
    ]
    cfgParams: [
      {
        keys: ["price", "p", "цена", "ц"]
        fnKey: "price"
        value: 270.00
      }
    ]
    cfg: [
      {
        fnKey: "add"
        value: 0.200
      }
    ]
  },
  {
    name: "отлив (работа)"
    keys: ["ebb-work", "ebb-wrk", "отлив-работа", "отл-р"]
    unit: "м"
    fn: "f.bottom"
    params: [
      {
        keys: ["length", "l", "длина", "д"]
        fnKey: "length"
      }
    ]
    cfgParams: [
      {
        keys: ["price", "p", "цена", "ц"]
        fnKey: "price"
        value: 100.00
      }
    ]
    cfg: [
      {
        fnKey: "add"
        value: 0.200
      }
    ]
  },
  {
    name: "без отлива"
    keys: ["no-ebb", "без-отлива", "без-отл"]
    unit: "-"
    fn: "f.del"
    cfg: [
      {
        fnKey: "keys"
        value: ["ebb-z", "ebb-w", "ebb-b", "ebb-wrk"]
      }
    ]
  },
  {
    name: "- отлив"
    keys: ["-ebb", "-отлив", "-отл"]
    unit: "-"
    fn: "f.delPrev"
    cfg: [
      {
        fnKey: "keys"
        value: ["ebb-z", "ebb-w", "ebb-b", "ebb-wrk"]
      }
    ]
  },

  {
    name: "москитка (белая)"
    keys: ["mosquito-netting-white", "mos-w", "москитка-белая", "москитная-сетка-белая", "мос-б"]
    unit: "шт"
    fn: "f.item"
    params: [
      {
        keys: ["count", "cnt", "c", "количество", "к"]
        fnKey: "cnt"
      }
    ]
    cfgParams: [
      {
        keys: ["price", "p", "цена", "ц"]
        fnKey: "price"
        value: 650.00
      },
      {
        keys: ["minus", "m", "минус", "м"]
        fnKey: "minus"
      }
    ]
  },
  {
    name: "москитка (коричневая)"
    keys: ["mosquito-netting-brown", "mos-b", "москитка-коричневая", "москитная-сетка-коричневая", "мос-к"]
    unit: "шт"
    fn: "f.item"
    params: [
      {
        keys: ["count", "cnt", "c", "количество", "к"]
        fnKey: "cnt"
      }
    ]
    cfgParams: [
      {
        keys: ["price", "p", "цена", "ц"]
        fnKey: "price"
        value: 700.00
      },
      {
        keys: ["minus", "m", "минус", "м"]
        fnKey: "minus"
      }
    ]
  },
  {
    name: "москитка (работа)"
    keys: ["mosquito-netting-work", "mos-wrk", "москитка-работа", "москитная-сетка-работа", "мос-р"]
    unit: "шт"
    fn: "f.item"
    params: [
      {
        keys: ["count", "cnt", "c", "количество", "к"]
        fnKey: "cnt"
      }
    ]
    cfgParams: [
      {
        keys: ["price", "p", "цена", "ц"]
        fnKey: "price"
        value: 150.00
      },
      {
        keys: ["minus", "m", "минус", "м"]
        fnKey: "minus"
      }
    ]
  },
  {
    name: "без москитки"
    keys: ["no-mosquito-netting", "no-mos", "без-москитки", "без-москитной-сетки", "без-мос"]
    unit: "-"
    fn: "f.del"
    cfg: [
      {
        fnKey: "keys"
        value: ["mos-w", "mos-b", "mos-wrk"]
      }
    ]
  },
  {
    name: "- москитка"
    keys: ["-mosquito-netting", "-mos", "-москитка", "-москитная-сетка", "-мос"]
    unit: "-"
    fn: "f.delPrev"
    cfg: [
      {
        fnKey: "keys"
        value: ["mos-w", "mos-b", "mos-wrk"]
      }
    ]
  },

  {
    name: "нащельник"
    keys: ["batten", "bat", "нащельник", "нащ"]
    unit: "м"
    fn: "f.top3"
    params: [
      {
        keys: ["length", "l", "длина", "д"]
        fnKey: "length"
      }
    ]
    cfgParams: [
      {
        keys: ["price", "p", "цена", "ц"]
        fnKey: "price"
        value: 80.00
      }
    ]
  },
  {
    name: "без нащельника"
    keys: ["no-batten", "no-bat", "без-нащельника", "без-нащ"]
    unit: "-"
    fn: "f.del"
    cfg: [
      {
        fnKey: "keys"
        value: ["bat"]
      }
    ]
  },
  {
    name: "- нащельник"
    keys: ["-batten", "-bat", "-нащельник", "-нащ"]
    unit: "-"
    fn: "f.delPrev"
    cfg: [
      {
        fnKey: "keys"
        value: ["bat"]
      }
    ]
  },

  {
    name: "подъем на этаж"
    keys: ["floor", "flr", "подъем-на-этаж", "подъем", "этаж", "этж", "эт"]
    unit: "шт"
    fn: "f.item"
    params: [
      {
        keys: ["count", "cnt", "c", "количество", "к"]
        fnKey: "cnt"
      }
    ]
    cfgParams: [
      {
        keys: ["price", "p", "цена", "ц"]
        fnKey: "price"
        value: 50.00
      }
      {
        keys: ["minus", "m", "минус", "м"]
        fnKey: "minus"
        value: 1
      }
    ]
  },
  {
    name: "без подъема на этаж"
    keys: ["no-floor", "no-flr", "без-подъема", "без-этажа", "без-подъема-на-этаж", "без-этж", "без-эт"]
    unit: "-"
    fn: "f.del"
    cfg: [
      {
        fnKey: "keys"
        value: ["flr"]
      }
    ]
  },
  {
    name: "- подъем на этаж"
    keys: ["-floor", "-flr", "-подъем", "-этаж", "-подъем-на-этаж", "-этж", "-эт"]
    unit: "-"
    fn: "f.delPrev"
    cfg: [
      {
        fnKey: "keys"
        value: ["flr"]
      }
    ]
  },

  {
    name: "-" //удалить все предыдущие работы
    keys: ["-"]
    unit: "-"
    fn: "f.delAllPrev"
  }
]
